/*
 * $Id: sct_ctrl_lib_private.h,v 1.1 2001/11/16 12:34:30 mulix Exp $
 */

#ifndef SCT_CTRL_LIB_PRIVATE_H_
#define SCT_CTRL_LIB_PRIVATE_H_

/* the enum of the different communication methods */
typedef enum
{
    SCT_CTRL_SYSCTL,
    SCT_CTRL_DEVICE_FILE
} sct_ctrl_impl_t;

struct sct_ctrl_type {
    sct_ctrl_impl_t impl;
    void* user_data;
};

void*
get_user_date(sct_ctrl_t ctrl);

#endif /* SCT_CTRL_LIB_PRIVATE_H_ */
