/*
 *$Id: arch-userspace.h,v 1.3 2001/10/02 08:51:39 mulix Exp $
 */
#ifndef ARCH_USERSPACE_H_
#define ARCH_USERSPACE_H_

/* malloc/free support */
# include <malloc.h>
# include <unistd.h>
# include <string.h>
# include <stdio.h>
# include <assert.h>
# include <ctype.h>

# define mem_alloc(foo) malloc((foo))
# define mem_free(foo)  free((foo))

/* generic printing macro */
# define PPRINT(fmt, args...) printf(fmt, ## args)

#endif /* ARCH_USERSPACE_H_ */

