/*
 * $Id: update_rules.h,v 1.1 2001/12/21 19:31:02 mulix Exp $
 */

#ifndef UPDATE_RULES_H_
#define UPDATE_RULES_H_

#include "sct_rules_private.h"
#include "rule_engine_public.h"

int tracker_add_rule(int rule_id, rule_when_t when, int syscall_id,
		     int mux_func_id, filter_node_t* f, action_t* a);

int tracker_del_rule(int rule_id, rule_when_t when, int syscall_id,
		     int mux_func_id);

/* deletes all existing rules for a given system call. */
/* TODO - handle muxed functions as if they were real syscalls. */
int tracker_del_all_rules_for_syscall(int syscall_id, int mux_func_id);

/* deletes all existing rules in the module */
int tracker_del_all_module_rules(void);

/* prints all existing rules in the module */
int tracker_print_all_rules(void);

#endif /* UPDATE_RULES_H_ */
