/* 
 * $Id: var_callbacks.h,v 1.1 2001/12/20 04:18:04 mulix Exp $
 */ 

#ifndef VAR_CALLBACKS_H_
#define VAR_CALLBACKS_H_

/* get a filter node of this 'type' of data, with value 'data' */
filter_node_t* proc_current_callback(var_type_t type, void *data);

/* get the return value filter node */
filter_node_t* global_retval_callback(var_type_t type, void *data);

/* get a filter node with a parameter value */
filter_node_t* global_param_callback(var_type_t type, int param_index, 
				     data_type_t dtype, void *data);

#endif /* VAR_CALLBACKS_H_ */
