/*
 * $Id: conditional_intf.h,v 1.5 2001/10/14 01:14:42 chooga Exp $
 */ 

#ifndef CONDITIONAL_INTF_H_
#define CONDITIONAL_INTF_H_

#include <string>
#include <iostream>

#include "param_types.h"
#include "../sct_rules/rule_engine_public.h"

using namespace std; 

class conditional_intf
{
 public:
    conditional_intf() {};
    virtual ~conditional_intf() {};

    virtual bool validate(const string& syscall_name) = 0;

    virtual filter_node_t* get_filter_node(void) const = 0;

    virtual ostream& print(ostream& os) = 0; 

    virtual bool finalize(const string& sys_name) = 0;

    virtual int get_line_num() = 0;

    virtual int get_data_line_num() = 0;

 protected:
    virtual data_type_t query_required_data_type(const string& sys_name) = 0;
};

#endif /* CONDITIONAL_INTF_H_ */
