/*
 * $Id: device_file.h,v 1.3 2001/12/24 21:04:57 mulix Exp $
 */ 

#ifndef DEVICE_FILE_H_
#define DEVICE_FILE_H_

#include <linux/kernel.h>
#include <linux/types.h>  /* size_t */
#include <linux/fs.h>     /* everything... */

#include "request_buffer.h"

typedef struct sct_dev_type {
    /* TODO */
    struct request_buffer req_buf;
    struct semaphore sem;     /* Mutual exclusion */
} sct_dev_t;

extern int sct_major; 

/* the device struct */
extern sct_dev_t sct_dev;

extern struct file_operations sct_fops;

#endif /* DEVICE_FILE_H_ */
